using UnityEngine;
using System.Collections;

namespace Mod
{
    public class HydraulicBallBehaviour : MonoBehaviour
    {
        public FlaskBehaviour container;
        Vector3 scale;
        float buoyancy = 2f;
        float weight = 0.5f;

        void Start()
        {
            container = gameObject.GetOrAddComponent<FlaskBehaviour>();
            container.Capacity = 5f;
            scale = transform.localScale;
            GetComponent<PhysicalBehaviour>().Properties.Buoyancy = buoyancy;
            GetComponent<PhysicalBehaviour>().TrueInitialMass = weight;
            gameObject.GetOrAddComponent<LiquidContainerLeakingBehaviour>();
        }

        void Update()
        {
            transform.localScale = scale;
            GetComponent<PhysicalBehaviour>().Properties.Buoyancy = buoyancy;
            GetComponent<PhysicalBehaviour>().TrueInitialMass = weight;
            if (container.TotalLiquidAmount > 1)
            {
                transform.localScale *= container.TotalLiquidAmount;
                GetComponent<PhysicalBehaviour>().Properties.Buoyancy /= container.TotalLiquidAmount;
                GetComponent<PhysicalBehaviour>().TrueInitialMass *= (container.TotalLiquidAmount/2);
            }
        }
    }
}